import request from "../utils/http"


// 网络初始化
export function changeNetwork(network) {

  console.log("设置网络", network);
  return request({
    url: "/set/network",
    method: "POST",
    data: network
  });

}

/**
 * 查询网络状态
 * @returns {Promise<AxiosResponse<T>>}
 */
export function queryNetwork() {
  return request({
    url: "/query/network",
    method: "GET",
  });

}


// 时钟初始化
export function setNtpServer(clock) {

  console.log("设置NTP服务器，参数为", clock);
  return request({
    url: "/set/ntp",
    method: "POST",
    data: clock
  });

}

// 查询Ntp服务器地址
export function queryNtpServer() {

  console.log("查询NTP服务器");
  return request({
    url: "/query/ntp",
    method: "GET",
  });

}

