import http from "../utils/http"


/**
 * 获取视频列表
 *
 * @param date
 * @returns {Promise<AxiosResponse<T>>}
 */
export function videoList(date) {

  return http({
    url: "/query/videos",
    method: "GET",
    params: date,
  })
}


/**
 * 获取视频内容
 * @param param
 * @returns {*}
 */
export function getVideo(param) {

  return http({
    url:"/get/video",
    method:"GET",
    param:param
  })

}
